#include <gb.h>
#include <r_esil.h>

bool gb_custom_op_halt (REsil *esil) {
	return true;
}

bool gb_custom_op_stop (REsil *esil) {
	return true;
}

bool gb_esil_setup (GB *gb) {
	if (!gb) {
		return false;
	}
	gb->esil = r_esil_new (4096, 0, 1);
	if (!gb->esil) {
		return false;
	}
	r_esil_setup (gb->esil, gb->anal, false, false, false);
	gb->esil->user = gb;
	r_esil_set_op (gb->esil, "halt", gb_custom_op_halt, 0, 0, R_ESIL_OP_TYPE_CUSTOM);
	r_esil_set_op (gb->esil, "stop", gb_custom_op_stop, 0, 0, R_ESIL_OP_TYPE_CUSTOM);
	return true;
}
